VegBank - Bug #883

Export to two flat ASCII tables with default attributes:test
11/13/2002 02:02 PM - Michael Lee

Status: Resolved Start date: 11/13/2002

Priority: Normal Due date:

Assignee: Gabriel Farrell % Done: 0%

Category: misc Estimated time: 0.00 hour

Target version: UnMilestoned Spent time: 0.00 hour

Bugzilla-ld: 883

Description

ML tests

Related issues:

Blocks VegBank - Bug #864: Two flat ASCII tables with default attributes Resolved 11/13/2002

History

#1 - 11/21/2003 09:57 PM - Michael Lee

ML needs to test this and if so, confirm&close this bug and 864

#2 - 12/01/2003 02:09 PM - Michael Lee

Excellent. Encoding is a problem, though for strange characters. There is a way
to clue a text editor into the fact that it is looking at unicode. Mine had
problems. XMLSpy did better, but still the characters came out wrong. See below

for more on this encoding issue, which is really a different bug, it just affect
accuracy of output.

http://vegbank.org/vegbank/DisplayPlot.do?resultType=ASCIlIEvironment&vegbankAccessionNumber=VB.832

needs to enclose values with a comma in quotes of some sort. This leads me to
believe that other special character escaping also needs to be employed. For
now, we may consider using the miscrosoft standard (sad, so sad) which is to
repeat a quote to escape it, and enclosed a string in quotes to make a comma not

represent a field break.

ie to show the field: This is "quite" a nice day, don't you think?

could be:
"This is ""quite

a nice day, don't you think?" [or]

"This is "quite" a nice day, don"t you think?'

----encodings---

Unicode representation in obs=635
635,Pinus monophylla Torr. & Fre«®,0.5,H,37.5

correct, as seen in psql: Pinus monophylla Torr. & Frém.

(note the reversal of the slash on e).

[side note that: 'Achnatherum speciosum (Trin. Rupr.) Barkworth' as seen on
web-view of this plot should be 'Achnatherum speciosum (Trin. & Rupr.)
Barkworth' - this is part of the larger encoding problems.]

#3 - 01/08/2004 03:31 PM - P. Anderson

The export formatting options should be configurable in each user's preferences
(eventually). For now, | wrapped string fields in "double quotes" and am
escaping any double quote found in the field value with another double quote...

If users want the MS format, escape " as "
If users want what we call the Standard way, use \" (later)
By default we'll use the MS way, and that's all we support now.

NOTE that single quotes are NOT escaped since [l presume] a field wrapped
entirely in "double quotes" needn't escape its 'single quotes'. Let me know if

this is incorrect and I'll fix it.
http://vegbank.org/vegbank/DisplayPlot.do?resultType=ASCIIEvironment&vegbankAccessionNumber=VB.832

#4 - 01/31/2005 02:53 PM - Michael Lee

changed from components that are to be deleted to "misc" so that bugs don't get
deleted with component. Sorry for all the email.

#5 - 03/27/2013 02:15 PM - Redmine Admin
Original Bugzilla ID was 883
